"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.tsx
var src_exports = {};
__export(src_exports, {
  Layout: () => Layout
});
module.exports = __toCommonJS(src_exports);

// src/container.tsx
var import_component = require("@clutchd/component");
var import_clsx2 = require("@clutchd/clsx");

// src/layout.tsx
var import_clsx = require("@clutchd/clsx");
function BuildStyle({ col, padding, row }) {
  return (0, import_clsx.clsx)(
    col ? "flex-col" : "",
    padding ? "p-6 sm:p-8" : "",
    row ? "flex-row" : ""
  );
}

// src/container.tsx
var import_jsx_runtime = require("react/jsx-runtime");
function Container({
  col = false,
  padding = false,
  row = false,
  ...props
}) {
  const className = (0, import_clsx2.clsx)(
    "flex flex-1",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_component.Component.div, {
    ...props,
    className
  });
}

// src/content.tsx
var import_component2 = require("@clutchd/component");
var import_clsx3 = require("@clutchd/clsx");
var import_jsx_runtime = require("react/jsx-runtime");
function Content({
  col = true,
  padding = true,
  row = false,
  ...props
}) {
  const className = (0, import_clsx3.clsx)(
    "flex flex-1",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_component2.Component.main, {
    ...props,
    className
  });
}

// src/footer.tsx
var import_component3 = require("@clutchd/component");
var import_clsx4 = require("@clutchd/clsx");
var import_jsx_runtime = require("react/jsx-runtime");
function Footer({
  col = true,
  padding = true,
  row = false,
  ...props
}) {
  const className = (0, import_clsx4.clsx)(
    "flex grow-1 shrink-0",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_component3.Component.footer, {
    ...props,
    className
  });
}

// src/header.tsx
var import_component4 = require("@clutchd/component");
var import_clsx5 = require("@clutchd/clsx");
var import_jsx_runtime = require("react/jsx-runtime");
function Header({
  col = false,
  padding = true,
  row = false,
  ...props
}) {
  const className = (0, import_clsx5.clsx)(
    "flex grow-1 shrink-0",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_component4.Component.header, {
    ...props,
    className
  });
}

// src/page.tsx
var import_component5 = require("@clutchd/component");
var import_clsx6 = require("@clutchd/clsx");
var import_jsx_runtime = require("react/jsx-runtime");
function Page({
  col = false,
  padding = false,
  row = false,
  ...props
}) {
  const className = (0, import_clsx6.clsx)(
    "flex flex-1 min-h-screen min-w-screen",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_component5.Component.div, {
    ...props,
    className
  });
}

// src/index.tsx
var Layout = {
  Container,
  Content,
  Footer,
  Header,
  Page
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Layout
});
